# Uses of Class
org.apache.lucene.analysis.charfilter.NormalizeCharMap

Packages that use NormalizeCharMap
Package
Description
org.apache.lucene.analysis.charfilter
Normalization of text before the tokenizer.

- ## Uses of NormalizeCharMap in org.apache.lucene.analysis.charfilter

  Fields in org.apache.lucene.analysis.charfilter declared as NormalizeCharMap
  Modifier and Type
  Field
  Description
  `protected NormalizeCharMap`
  MappingCharFilterFactory.`normMap`
  Methods in org.apache.lucene.analysis.charfilter that return NormalizeCharMap
  Modifier and Type
  Method
  Description
  `NormalizeCharMap`
  NormalizeCharMap.Builder.`build()`
  Builds the NormalizeCharMap; call this once you are done calling `NormalizeCharMap.Builder.add(java.lang.String, java.lang.String)`.
  Constructors in org.apache.lucene.analysis.charfilter with parameters of type NormalizeCharMap
  Modifier
  Constructor
  Description
  ``
  `MappingCharFilter(NormalizeCharMap normMap, Reader in)`
  Default constructor that takes a `Reader`.